Bug 464460

Summary: Review Request: pypop - Python for Population Genomics
Product: [Fedora] Fedora Reporter: Alex Lancaster <alexl>
Component: Package ReviewAssignee: Pierre-YvesChibon <pingou>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, notting, pingou
Target Milestone: ---Flags: pingou: fedora‑review+
kevin: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-10-09 17:27:48 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
sample.ini (configuration file)
none
sample.pop (population file)
none
sample-out.txt (output file that should be generated) none

Description Alex Lancaster 2008-09-29 04:55:44 EDT
Spec URL: http://alexlan.fedorapeople.org/reviews/pypop.spec
SRPM URL: http://alexlan.fedorapeople.org/reviews/pypop-0.7.0-1.fc8.src.rpm
Description: PyPop is a bioinformatics framework for performing population genomics analysis, particularly on large-scale multilocus genotype data.
Comment 1 Alex Lancaster 2008-09-29 04:59:55 EDT
Note that rpmlint reports a bogus (in this context) error:

rpmlint pypop-0.7.0-1.fc8.i386.rpm 
pypop.i386: E: explicit-lib-dependency libxslt-python
1 packages and 0 specfiles checked; 1 errors, 0 warnings

The libxslt-python Requires is unavoidable because it is needed at runtime and isn't a C library and the automatic provides won't automatically pull in python libraries.
Comment 2 Alex Lancaster 2008-09-29 05:09:03 EDT
koji scratch build on F-8 is here:

https://koji.fedoraproject.org/koji/taskinfo?taskID=849331

and rawhide one is here:

https://koji.fedoraproject.org/koji/taskinfo?taskID=849349
Comment 3 Pierre-YvesChibon 2008-09-29 12:56:38 EDT
Could you add to the reviews some example of input file and output file so that I can check that I obtain similar results while running the program here.

I take the review.
Comment 4 Alex Lancaster 2008-09-29 18:54:14 EDT
Created attachment 318020 [details]
sample.ini (configuration file)
Comment 5 Alex Lancaster 2008-09-29 18:54:54 EDT
Created attachment 318021 [details]
sample.pop (population file)
Comment 6 Alex Lancaster 2008-09-29 18:57:35 EDT
Created attachment 318022 [details]
sample-out.txt (output file that should be generated)

I've attached 2 input files and sample-out.txt, the output file, which should be generated upon running pypop like this:

pypop -c sample.ini sample.pop

There may be minor differences with the exact numbers depending on your platform (e.g. i386 vs x86_64) and because the Monte Carlo algorithm uses a random number so a strict diff may produce differences.
Comment 7 Pierre-YvesChibon 2008-09-30 03:40:15 EDT
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: F9/x86_64
 [x] Rpmlint output:
pypop.x86_64: E: explicit-lib-dependency libxslt-python
 [x] Package is not relocatable.
 [x] Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type:GPLv2+
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     SHA1SUM of package:  80637be9cca104b8ab0fe538674858eff00a99ee
     SHA1SUM of upstream: 80637be9cca104b8ab0fe538674858eff00a99ee
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot}.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application. -> No GUI at the moment but that will be something to add when the GUI will be available
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: Koji F8 and Rawhide
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: Koji F8 and Rawhide
 [x] Package functions as described (according to comment #14 and #16).
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.

=== Issues ===
1- Please consider using %defattr(-,root,root,-) instead of
%defattr(-,root,root).
You can fix that at commit time

=== Suggestions ===
1- It might be nice to add a link on the page http://www.pypop.org/ to the sources.


PACKAGE APPROVED
Comment 8 Alex Lancaster 2008-09-30 04:06:09 EDT
New Package CVS Request
=======================
Package Name: pypop
Short Description: Python for population genomics
Owners: alexlan
Branches: F-8 F-9
InitialCC:
Comment 9 Huzaifa S. Sidhpurwala 2008-09-30 05:43:46 EDT
cvs done
Comment 10 Fedora Update System 2008-09-30 06:44:01 EDT
pypop-0.7.0-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/pypop-0.7.0-2.fc9
Comment 11 Fedora Update System 2008-09-30 06:47:05 EDT
pypop-0.7.0-2.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/pypop-0.7.0-2.fc8
Comment 12 Fedora Update System 2008-10-01 02:40:02 EDT
pypop-0.7.0-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pypop'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-8487
Comment 13 Fedora Update System 2008-10-01 02:41:31 EDT
pypop-0.7.0-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pypop'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-8497
Comment 14 Fedora Update System 2008-10-09 17:27:44 EDT
pypop-0.7.0-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2008-10-09 17:33:57 EDT
pypop-0.7.0-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Alex Lancaster 2008-10-11 00:59:24 EDT
Package Change Request
======================
Package Name: pypop
New Branches: EL-5
Owners: alexlan
Comment 17 Kevin Fenzi 2008-10-12 22:16:17 EDT
cvs done.